Bug 837224 - Pre/post start/stop hooks does not work for jbossas and jbosseap apps
Pre/post start/stop hooks does not work for jbossas and jbosseap apps
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 04:48 EDT by Meng Bo
Modified: 2015-05-14 18:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 19:43:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-07-03 04:48:47 EDT
Description of problem:
pre_start pre_stop post_start post_stop, the 4 hooks dose not work for jbossas and jbosseap type apps.

Version-Release number of selected component (if applicable):
cartridge-jbossas-7-0.95.3-1.el6_3.noarch
cartridge-jbosseap-6.0-0.2.3-1.el6_3.noarch

How reproducible:
always

Steps to Reproduce:
1.Create jbossas/jbosseap app
2.Modify the pre/post start/stop scripts in the .openshift/action_hooks/
like add "echo 'Pre_start'"
3.Push the build
  
Actual results:
The scripts will not be run during the push build.

Expected results:
The scripts should be run and show the echo message in console output. 

Additional info:
Comment 1 Rob Millner 2012-07-09 16:49:04 EDT
In the case of the jboss cartridges, output is redirected to /dev/null.

In order to tests the pre/post start/stop scripts; add something like the following:

echo "***** PRE START JBOSSAS-7 RAN *****" >> "${OPENSHIFT_DATA_DIR}"/hooks.txt

And then check the data directory for the presence of the output.
Comment 2 Meng Bo 2012-07-10 06:07:30 EDT
After modify the pre/post start/stop script as Rob's comment, the script works fine for jboss apps.
Mark bug as verified.

Note You need to log in before you can comment on or make changes to this bug.